Index: /palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 217)
+++ /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 218)
@@ -33,31 +33,48 @@
    ;***************************************************
 
-   if (no_files .LT. 1 .OR. no_files .GT. 12) then
-      print(" ")
-      print("Please assign 'no_files' between 1 and 12")  
+   if (no_files .LT. 1 .OR. no_files .GT. 6) then
+      print(" ")
+      print("Assign 'no_files' between 1 and 6")  
       print(" ")
       exit
    end if
-
-   file_in = new(no_files,string)
+   
+   file_in   = new(no_files,string)
+   file_in_1 = new(no_files,logical)
+   start_f   = new(no_files,integer)
+   end_f = new(no_files,integer)
    
    if (file_1 .EQ. "File in") then
       print(" ")
-      print("Please provide 1st input file 'file_1=' in 'ncl_preferences.ncl'")
+      print("Declare 1st input file 'file_1=' in 'ncl_preferences.ncl' or prompt")
       print(" ")
       exit 
    else
       file_in(0) = file_1   
-   end if
-   if (.not. isfilepresent(file_in(0))) then
-      print(" ")
-      print("Your 1st input file: '"+file_in+"' does not exist")
-      print(" ")
+   end if      
+   file_in_1(0) = False
+   if (isStrSubset(file_in(0), ".nc"))then
+      start_f_1 = -2
+      end_f_1 = -2 
+      file_in_1(0) = True     
+   end if  
+   if (start_f_1 .EQ. -1)then
+      print(" ")
+      print("'start_f_1' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print(" ")  
       exit
-   end if
-   
+   end if 
+   if (end_f_1 .EQ. -1)then
+      print(" ")
+      print("'end_f_1' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print(" ")  
+      exit
+   end if            
+   start_f(0) = start_f_1 
+   end_f(0) = end_f_1    
+      
    if (prof3d .EQ. -1)then
       print(" ")
-      print("Please set 'prof3d' to 0 or 1")
+      print("Set 'prof3d' to 0 or 1")
       print(" ")
       exit
@@ -74,33 +91,61 @@
       if (file_2 .EQ. "File in") then
          print(" ")
-         print("Please provide 2nd input file 'file_2=' in 'ncl_preferences.ncl'")
+         print("Declare 2nd input file 'file_2=' in 'ncl_preferences.ncl' or prompt")
          print(" ")
          exit 
       else
          file_in(1) = file_2   
+      end if      
+      file_in_1(1) = False
+      if (isStrSubset(file_in(1), ".nc"))then
+         start_f_1 = -2
+         end_f_1 = -2 
+         file_in_1(1) = True     
       end if
-      if (.not. isfilepresent(file_in(1))) then
-         print(" ")
-         print("Your 2nd input file: '"+file_in+"' does not exist")
-         print(" ")
+      if (start_f_2 .EQ. -1)then
+         print(" ")
+         print("'start_f_2' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
          exit
-      end if
-   end if
+      end if 
+      if (end_f_2 .EQ. -1)then
+         print(" ")
+         print("'end_f_2' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
+         exit
+      end if      
+      start_f(1) = start_f_2 
+      end_f(1) = end_f_2   
+   end if    
     
    if (no_files .GT. 2) then
       if (file_3 .EQ. "File in") then
          print(" ")
-         print("Please provide 3rd input file 'file_3=' in 'ncl_preferences.ncl'")
+         print("Declare 3rd input file 'file_3=' in 'ncl_preferences.ncl' or prompt")
          print(" ")
          exit 
       else
          file_in(2) = file_3   
+      end if      
+      file_in_1(2) = False
+      if (isStrSubset(file_in(2), ".nc"))then
+         start_f_1 = -2
+         end_f_1 = -2 
+         file_in_1(2) = True     
       end if
-      if (.not. isfilepresent(file_in(2))) then
-         print(" ")
-         print("Your 3rd input file: '"+file_in+"' does not exist")
-         print(" ")
+      if (start_f_3 .EQ. -1)then
+         print(" ")
+         print("'start_f_3' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
          exit
-      end if
+      end if 
+      if (end_f_3 .EQ. -1)then
+         print(" ")
+         print("'end_f_3' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
+         exit
+      end if      
+      start_f(2) = start_f_3 
+      end_f(2) = end_f_3  
    end if 
    
@@ -108,16 +153,30 @@
       if (file_4 .EQ. "File in") then
          print(" ")
-         print("Please provide 4th input file 'file_4=' in 'ncl_preferences.ncl'")
+         print("Declare 4th input file 'file_4=' in 'ncl_preferences.ncl' or prompt")
          print(" ")
          exit 
       else
          file_in(3) = file_4   
+      end if      
+      file_in_1(3) = False
+      if (isStrSubset(file_in(3), ".nc"))then
+         start_f_1 = -2
+         end_f_1 = -2 
+         file_in_1(3) = True     
       end if
-      if (.not. isfilepresent(file_in(3))) then
-         print(" ")
-         print("Your 4th input file: '"+file_in+"' does not exist")
-         print(" ")
+      if (start_f_4 .EQ. -1)then
+         print(" ")
+         print("'start_f_4' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
          exit
-      end if
+      end if 
+      if (end_f_4 .EQ. -1)then
+         print(" ")
+         print("'end_f_4' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
+         exit
+      end if      
+      start_f(3) = start_f_4 
+      end_f(3) = end_f_4 
    end if 
    
@@ -125,129 +184,63 @@
       if (file_5 .EQ. "File in") then
          print(" ")
-         print("Please provide 5th input file 'file_5=' in 'ncl_preferences.ncl'")
+         print("Declare 5th input file 'file_5=' in 'ncl_preferences.ncl' or prompt")
          print(" ")
          exit 
       else
          file_in(4) = file_5   
+      end if      
+      file_in_1(4) = False
+      if (isStrSubset(file_in(4), ".nc"))then
+         start_f_1 = -2
+         end_f_1 = -2 
+         file_in_1(4) = True     
       end if
-      if (.not. isfilepresent(file_in(4))) then
-         print(" ")
-         print("Your 5th input file: '"+file_in+"' does not exist")
-         print(" ")
+      if (start_f_5 .EQ. -1)then
+         print(" ")
+         print("'start_f_5' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
          exit
-      end if  
+      end if 
+      if (end_f_5 .EQ. -1)then
+         print(" ")
+         print("'end_f_5' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
+         exit
+      end if      
+      start_f(4) = start_f_5 
+      end_f(4) = end_f_5    
    end if 
+   
    if (no_files .GT. 5) then
       if (file_6 .EQ. "File in") then
          print(" ")
-         print("Please provide 6th input file 'file_6=' in 'ncl_preferences.ncl'")
+         print("Declare 6th input file 'file_6=' in 'ncl_preferences.ncl' or prompt")
          print(" ")
          exit 
       else
          file_in(5) = file_6   
+      end if      
+      file_in_1(5) = False
+      if (isStrSubset(file_in(5), ".nc"))then
+         start_f_1 = -2
+         end_f_1 = -2 
+         file_in_1(5) = True     
       end if
-      if (.not. isfilepresent(file_in(5))) then
-         print(" ")
-         print("Your 6th input file: '"+file_in+"' does not exist")
-         print(" ")
+      if (start_f_6 .EQ. -1)then
+         print(" ")
+         print("'start_f_6' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
          exit
-      end if   
+      end if 
+      if (end_f_6 .EQ. -1)then
+         print(" ")
+         print("'end_f_6' must be one of the cyclic numbers (at least 0) of your input file(s)")
+         print(" ")  
+         exit
+      end if      
+      start_f(5) = start_f_6 
+      end_f(5) = end_f_6    
    end if 
-   if (no_files .GT. 6) then
-      if (file_7 .EQ. "File in") then
-         print(" ")
-         print("Please provide 7th input file 'file_7=' in 'ncl_preferences.ncl'")
-         print(" ")
-         exit 
-      else
-         file_in(6) = file_7   
-      end if
-      if (.not. isfilepresent(file_in(6))) then
-         print(" ")
-         print("Your 7th input file: '"+file_in+"' does not exist")
-         print(" ")
-         exit
-      end if    
-   end if 
-   if (no_files .GT. 7) then
-      if (file_8 .EQ. "File in") then
-         print(" ")
-         print("Please provide 8th input file 'file_8=' in 'ncl_preferences.ncl'")
-         print(" ")
-         exit 
-      else
-         file_in(7) = file_8   
-      end if
-      if (.not. isfilepresent(file_in(7))) then
-         print(" ")
-         print("Your 8th input file: '"+file_in+"' does not exist")
-         print(" ")
-         exit
-      end if    
-   end if 
-   if (no_files .GT. 8) then
-      if (file_9 .EQ. "File in") then
-         print(" ")
-         print("Please provide 9th input file 'file_9=' in 'ncl_preferences.ncl'")
-         print(" ")
-         exit 
-      else
-         file_in(8) = file_9   
-      end if
-      if (.not. isfilepresent(file_in(8))) then
-         print(" ")
-         print("Your 9th input file: '"+file_in+"' does not exist")
-         print(" ")
-         exit
-      end if   
-   end if 
-   if (no_files .GT. 9) then
-      if (file_10 .EQ. "File in") then
-         print(" ")
-         print("Please provide 10th input file 'file_10=' in 'ncl_preferences.ncl'")
-         print(" ")
-         exit 
-      else
-         file_in(9) = file_10   
-      end if
-      if (.not. isfilepresent(file_in(9))) then
-         print(" ")
-         print("Your 10th input file: '"+file_in+"' does not exist")
-         print(" ")
-         exit
-      end if   
-   end if 
-   if (no_files .GT. 10) then
-      if (file_11 .EQ. "File in") then
-         print(" ")
-         print("Please provide 11th input file 'file_11=' in 'ncl_preferences.ncl'")
-         print(" ")
-         exit 
-      else
-         file_in(10) = file_11   
-      end if
-      if (.not. isfilepresent(file_in(10))) then
-         print(" ")
-         print("Your 11th input file: '"+file_in+"' does not exist")
-         print(" ")
-         exit
-      end if   
-   end if 
-   if (no_files .GT. 11) then
-      if (file_12 .EQ. "File in") then
-         print(" ")
-         print("Please provide 12th input file 'file_12=' in 'ncl_preferences.ncl'")
-         print(" ")
-         exit 
-      else
-         file_in(11) = file_12   
-      end if
-      if (.not. isfilepresent(file_in(11))) then
-         print(" ")
-         print("Your 12th input file: '"+file_in+"' does not exist")
-         print(" ")
-         exit
-      end if    
-   end if 
+
    
    if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
@@ -285,5 +278,5 @@
    if (combine .EQ. 1 .AND. number_comb .EQ. -1) then
       print(" ") 
-      print("Please set 'number_comb' to 2 or 3 or combine to 0")
+      print("Set 'number_comb' to 2 or 3 or combine to 0")
       print(" ")
       exit
@@ -292,5 +285,5 @@
       if (number_comb .EQ. -1) then
          print(" ") 
-         print("Please set 'number_comb' to 2 or 3 or combine to 0")
+         print("Set 'number_comb' to 2 or 3 or combine to 0")
          print(" ")
          exit
@@ -298,5 +291,5 @@
       if (number_comb .NE. 2 .AND. number_comb .NE. 3) then
          print(" ") 
-         print("Please set 'number_comb' to 2 or 3 or combine to 0")
+         print("Set 'number_comb' to 2 or 3 or combine to 0")
          print(" ")
          exit
@@ -305,21 +298,21 @@
    if (combine .EQ. 1 .AND. c_var .EQ. "c_variables") then
       print(" ") 
-      print("Please select variables for overlaying ('c_var') or set combine to 0")
+      print("Select variables for overlaying ('c_var') or set combine to 0")
       print(" ")
       exit
    end if
 
-   if (logy .NE. 0 .AND. logy .NE. 1)then
-      print(" ")
-      print("'logy'= "+logy+" is invalid and set to 0")
-      print(" ")
-      logy = 0
+   if (log_z .NE. 0 .AND. log_z .NE. 1)then
+      print(" ")
+      print("'log_z'= "+log_z+" is invalid and set to 0")
+      print(" ")
+      log_z = 0
    end if    
   
-   if (norm .EQ. 0) then 
-      print(" ")
-      print("You cannot normalise with 0, 'norm' is set to 1")
-      print(" ")
-      norm = 1.0
+   if (norm_z .EQ. 0) then 
+      print(" ")
+      print("Normalising with 0 is not allowed, 'norm_z' is set to 1.0")
+      print(" ")
+      norm_z = 1.0
    end if
 
@@ -330,7 +323,54 @@
    do nof=0,no_files-1
 
-   f=addfile( file_in(nof),"r")
+   files=new(end_f(nof)-start_f(nof)+1,string)
+   if (file_in_1(nof))then
+      if (isfilepresent(file_in(nof)))then
+         files(0)=file_in
+      else
+         print(" ")
+         print("1st input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if
+   else
+      if (start_f(nof) .EQ. 0)then
+         if (isfilepresent(file_in(nof)+".nc"))then
+            files(0)=file_in(nof)+".nc"
+            do i=1,end_f(nof)
+   	    if (isfilepresent(file_in(nof)+"."+i+".nc"))then    
+               files(i)=file_in(nof)+"."+i+".nc"
+	    else
+	       print(" ")
+               print("Input file: '"+file_in(nof)+"."+i+".nc' does not exist")
+               print(" ")
+               exit  
+	    end if	    
+         end do         
+         else
+            print(" ")
+            print("Input file: '"+file_in(nof)+".nc' does not exist")
+            print(" ")
+            exit
+         end if
+      else
+         do i=start_f(nof),end_f(nof)
+            if (isfilepresent(file_in(nof)+"."+i+".nc"))then    
+               files(i-start_f(nof))=file_in(nof)+"."+i+".nc"
+   	    else
+	       print(" ")
+               print("Input file: '"+file_in(nof)+"."+i+".nc' does not exist")
+               print(" ")
+               exit  
+	    end if
+         end do
+      end if
+   end if
+
+   f=addfiles(files,"r")
+   f_att=addfile(files(0),"r")
+   ListSetType(f,"cat")
    
-   vNam = getfilevarnames(f) 
+   vNam = getfilevarnames(f_att) 
+
    if (nof .EQ. 0)then
       vNam0=vNam
@@ -364,5 +404,5 @@
    if (dim .EQ. 0) then
       print(" ")
-      print("There are no data on file")
+      print("There is no data on file")
       print(" ")
    end if
@@ -389,13 +429,13 @@
       end if
       if (vNam(varn) .EQ. "u" .OR. isStrSubset(vNam(varn), "u_"))then
-         z_u = f->$vNam(varn+1)$
+         z_u = f_att->$vNam(varn+1)$
          break
       else
          if (vNam(varn) .EQ. "v" .OR. isStrSubset(vNam(varn), "v_"))then  
-            z_u = f->$vNam(varn+1)$
+            z_u = f_att->$vNam(varn+1)$
             break
          else
             if(vNam(varn) .EQ. "pt" .OR. isStrSubset(vNam(varn), "pt_"))then
-               z_u = f->$vNam(varn+1)$
+               z_u = f_att->$vNam(varn+1)$
                break
             else
@@ -405,73 +445,73 @@
                else
                   if(vNam(varn) .EQ. "lpt" .OR. isStrSubset(vNam(varn), "lpt_"))then
-                     z_u = f->$vNam(varn+1)$ 
+                     z_u = f_att->$vNam(varn+1)$ 
                      break
                   else   
                      if(vNam(varn) .EQ. "q" .OR. isStrSubset(vNam(varn), "q_") )then
-                        z_u = f->$vNam(varn+1)$ 
+                        z_u = f_att->$vNam(varn+1)$ 
                         break
                      else
                         if(vNam(varn) .EQ. "qv" .OR. isStrSubset(vNam(varn), "qv_"))then
-                           z_u = f->$vNam(varn+1)$ 
+                           z_u = f_att->$vNam(varn+1)$ 
                            break
                         else
                            if(vNam(varn) .EQ. "ql" .OR. isStrSubset(vNam(varn), "ql_"))then
-                              z_u = f->$vNam(varn+1)$ 
+                              z_u = f_att->$vNam(varn+1)$ 
                               break
                            else
                               if(vNam(varn) .EQ. "rho" .OR. isStrSubset(vNam(varn), "rho_"))then
-                                 z_u = f->$vNam(varn+1)$ 
+                                 z_u = f_att->$vNam(varn+1)$ 
                                  break
                               else
                                  if(vNam(varn) .EQ. "s" .OR. isStrSubset(vNam(varn), "s_") )then
-                                    z_u = f->$vNam(varn+1)$ 
+                                    z_u = f_att->$vNam(varn+1)$ 
                                     break
                                  else
                                     if(vNam(varn) .EQ. "sa" .OR. isStrSubset(vNam(varn), "sa_"))then
-                                       z_u = f->$vNam(varn+1)$ 
+                                       z_u = f_att->$vNam(varn+1)$ 
                                        break
                                     else
                                        if(vNam(varn) .EQ. "e" .OR. isStrSubset(vNam(varn), "e_"))then
-                                          z_u = f->$vNam(varn+1)$ 
+                                          z_u = f_att->$vNam(varn+1)$ 
                                           break
                                        else
                                           if(vNam(varn) .EQ. "es" .OR. isStrSubset(vNam(varn), "es_"))then
-                                             z_u = f->$vNam(varn+1)$ 
+                                             z_u = f_att->$vNam(varn+1)$ 
                                              break
                                           else
                                              if(vNam(varn) .EQ. "km" .OR. isStrSubset(vNam(varn), "km_"))then
-                                                z_u = f->$vNam(varn+1)$ 
+                                                z_u = f_att->$vNam(varn+1)$ 
                                                 break
                                              else
                                                 if(vNam(varn) .EQ. "kh" .OR. isStrSubset(vNam(varn), "kh_"))then
-                                                   z_u = f->$vNam(varn+1)$ 
+                                                   z_u = f_att->$vNam(varn+1)$ 
                                                    break
                                                 else
                                                    if(vNam(varn) .EQ. "l" .OR. isStrSubset(vNam(varn), "l_"))then
-                                                      z_u = f->$vNam(varn+1)$ 
+                                                      z_u = f_att->$vNam(varn+1)$ 
                                                       break
                                                    else
                                                       if(vNam(varn) .EQ. "us2" .OR. isStrSubset(vNam(varn), "us2_"))then
-                                                         z_u = f->$vNam(varn+1)$ 
+                                                         z_u = f_att->$vNam(varn+1)$ 
                                                          break
                                                       else
                                                          if(vNam(varn) .EQ. "vs2" .OR. isStrSubset(vNam(varn), "vs2_") )then
-                                                            z_u = f->$vNam(varn+1)$ 
+                                                            z_u = f_att->$vNam(varn+1)$ 
                                                             break
                                                          else
                                                             if(vNam(varn) .EQ. "pts2" .OR. isStrSubset(vNam(varn), "pts2_"))then
-                                                               z_u = f->$vNam(varn+1)$ 
+                                                               z_u = f_att->$vNam(varn+1)$ 
                                                                break
                                                             else
                                                                if(vNam(varn) .EQ. "wsususodz" .OR. isStrSubset(vNam(varn), "wsususodz_"))then
-                                                                  z_u = f->$vNam(varn+1)$ 
+                                                                  z_u = f_att->$vNam(varn+1)$ 
                                                                   break
                                                                else
                                                                   if(vNam(varn) .EQ. "wspsodz" .OR. isStrSubset(vNam(varn), "wspsodz_"))then
-                                                                     z_u = f->$vNam(varn+1)$ 
+                                                                     z_u = f_att->$vNam(varn+1)$ 
                                                                      break
                                                                   else
                                                                      if(vNam(varn) .EQ. "wpeodz" .OR. isStrSubset(vNam(varn), "wpeodz_"))then
-                                                                        z_u = f->$vNam(varn+1)$
+                                                                        z_u = f_att->$vNam(varn+1)$
                                                                         break                                                                        
                                                                      end if
